Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## avrora.monitors
Class GDBServer.GDBMonitor.ExceptionWatch

    java.lang.Object
      avrora.monitors.GDBServer.GDBMonitor.ExceptionWatch

All Implemented Interfaces:
  Simulator.ExceptionWatch

Enclosing class:
  GDBServer.GDBMonitor

protected class GDBServer.GDBMonitor.ExceptionWatch
extends java.lang.Object
implements Simulator.ExceptionWatch

The `ExceptionWatch` halts execution and signals GDB when an exceptional event occurs.

Constructor Summary
`protected` | `GDBServer.GDBMonitor.ExceptionWatch()`

Method Summary
`void` | `invalidRead(java.lang.String segment, int address)` The `invalidRead()` method is invoked when an instruction attempts to read from an out-of-bounds memory location.
`void` | `invalidWrite(java.lang.String segment, int address, byte value)` The `invalidWrite()` method is invoked when an instruction attempts to write to a read-only or out-of-bounds memory location.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GDBServer.GDBMonitor.ExceptionWatch

    protected GDBServer.GDBMonitor.ExceptionWatch()

Method Detail

### invalidRead

    public void invalidRead(java.lang.String segment,
                            int address)

  Description copied from interface: `Simulator.ExceptionWatch`
  The `invalidRead()` method is invoked when an instruction attempts to read from an out-of-bounds memory location.

  Specified by:
    `invalidRead` in interface `Simulator.ExceptionWatch`
  Parameters:
    `segment` - The segment the instruction attempted to read from.
    `address` - The address within the segment of the attempted read.

### invalidWrite

    public void invalidWrite(java.lang.String segment,
                             int address,
                             byte value)

  Description copied from interface: `Simulator.ExceptionWatch`
  The `invalidWrite()` method is invoked when an instruction attempts to write to a read-only or out-of-bounds memory location.

  Specified by:
    `invalidWrite` in interface `Simulator.ExceptionWatch`
  Parameters:
    `segment` - The segment the instruction attempted to write into.
    `address` - The address within the segment of the disallowed write.
    `value` - The value the instruction attempted to write.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD